DF(1)

NAME
df - display free disk space

SYNOPSIS
df [-b | -g | -H | -h | -k | -m | -P] [-acilnT] [-t type] [file | filesystem ...]

DESCRIPTION
The df utility displays statistics about the amount of free disk space on the specified file system or on the file system of which file is a part. Values are displayed in 512-byte per block counts. If neither a file or a file system operand is specified, statistics for all mounted file systems are displayed (subject to the -t option below).

The following options are available:

-a  Show all mount points, including those that were mounted with the MNT_IGNORE flag. This is implied for file systems specified on the command line.

-b  Use 512-byte blocks rather than the default. Note that this overrides the BLOCKSIZE specification from the environment.

-c  Display a grand total.

-g  Use 1073741824-byte (1-Gbyte) blocks rather than the default. Note that this overrides the BLOCKSIZE specification from the environment.

-H  “Human-readable” output. Use unit suffixes: Byte, Kilobyte, Megabyte, Gigabyte, Terabyte and Petabyte in order to reduce the number of digits to four or fewer using base 10 for sizes.

-h  “Human-readable” output. Use unit suffixes: Byte, Kilobyte, Megabyte, Gigabyte, Terabyte and Petabyte in order to reduce the number of digits to four or fewer using base 2 for sizes. Inodes statistics, if enabled with -i, are always printed in base 10.

-i  Include statistics on the number of free inodes.

-k  Use 1024-byte (1-Kbyte) blocks rather than the default. Note that this overrides the BLOCKSIZE specification from the environment.

-l  Only display information about locally-mounted file systems.

-m  Use 1048576-byte (1-Mbyte) blocks rather than the default. Note that this overrides the BLOCKSIZE specification from the environment.

-n  Print out the previously obtained statistics from the file systems. This option should be used if it is possible that one or more file systems are in a state such that they will not be able to provide statistics without a long delay. When this option is specified, df will not request new statistics from the file systems, but will respond with the possibly stale statistics that were previously obtained.

-P  Use POSIX compliant output of 512-byte blocks rather than the default. Note that this overrides the BLOCKSIZE specification from the environment.

-t  Only print out statistics for file systems of the specified types. More than one type may be specified in a comma separated list. The list of file system types can be prefixed with “no” to specify the file system types for which action should not be taken. For example, the df command:

        df -t nonfs,nullfs

    lists all file systems except those of type NFS and NULLFS. The lsvfs(1) command can be used to find out the types of file systems that are available on the system.

-T  Include file system type.

ENVIRONMENT

BLOCKSIZE
    If the environment variable BLOCKSIZE is set, the block counts will be displayed in units of that size block.

SEE ALSO
lsvfs(1), pstat(1), quota(1), swapinfo(1), fstatfs(2), getfsstat(2), statfs(2), getmntinfo(3), fstab(5), mount(8), quot(8)

HISTORY
A df command appeared in AT&T UNIX.

BUGS
The -n flag is ignored if a file or file system is specified. Also, if a mount point is not accessible by the user, it is possible that the file system information could be stale.